package ardash.doodledudette;

import com.badlogic.gdx.graphics.Texture;

public interface ActionResolver {
	/**
	 * On Desktop this uses the apache-batik library, on Android caverock-androidsvg
	 * .
	 *
	 * @param svgData
	 * @param width
	 * @param height
	 * @return
	 */
	public byte[] convertSvgBytesToPngBytes(byte[] svgData, int width, int height);

	public void shareImage(Texture texture);

	public void showToast(final String message);
}
